> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Media Profile API Endpoint

> This API endpoint allows a user to create a new media profile.



## OpenAPI

````yaml post /api/media-profile/create/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/media-profile/create/:
    post:
      tags:
        - api
      summary: Create Media Profile API Endpoint
      description: This API endpoint allows a user to create a new media profile.
      operationId: create_media_profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMediaProfile'
        required: true
      responses:
        '201':
          description: Successfully created the media profile
          content:
            application/json:
              schema:
                title: Media Profile
                type: object
                properties:
                  media_profile_id:
                    type: integer
                  disabled:
                    type: boolean
                  profile_name:
                    type: string
                  watermark_path:
                    type: string
                  watermark_position:
                    title: Overlay Coordinate
                    type: object
                    properties:
                      coordinate_id:
                        type: integer
                      overlay_visualizer:
                        type: string
                      x:
                        type: string
                      'y':
                        type: string
                    description: Overlay Coordinate OpenAPI Schema
                  end_clip_path:
                    type: string
                  preview_url:
                    type: string
                description: Media Profile OpenAPI Schema
              example:
                media_profile_id: 1
                disabled: false
                profile_name: New Media Profile
                watermark_path: null
                watermark_position: null
                end_clip_path: null
                preview_url: null
        '400':
          description: Failed to create the media profile or validation errors
          content: {}
        '500':
          description: Failed to create the media profile
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    CreateMediaProfile:
      required:
        - end_clip_path
        - preview_url
        - profile_name
        - watermark_path
        - watermark_position
      type: object
      properties:
        profile_name:
          title: Profile name
          minLength: 1
          type: string
        watermark_path:
          title: Watermark path
          type: string
          enum:
            - ''
            - local_files/watermarks/placeholder.png
        watermark_position:
          title: Watermark position
          type: integer
        end_clip_path:
          title: End clip path
          type: string
          enum:
            - ''
            - local_files/endclips/placeholder.mp4
        preview_url:
          title: Preview url
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````